Bug 997885 - change guest resolution to 1280*1024 and reboot cause guest X server aborting
change guest resolution to 1280*1024 and reboot cause guest X server aborting
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: xorg-x11-drv-qxl (Show other bugs)
7.0
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: Søren Sandmann Pedersen
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-16 07:41 EDT by Xu Han
Modified: 2014-06-18 05:16 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-10 14:58:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Xu Han 2013-08-16 07:41:20 EDT
Description of problem:
change guest resolution to 1280*1024 and reboot, relogin guest then see black screen.

Version-Release number of selected component (if applicable):
qemu-kvm version: qemu-kvm-1.5.2-3.el7.x86_64
host and guest kernel version: 3.10.0-8.el7.x86_64
xorg-x11-drv-qxl-0.1.1-0.9.20130514git77a1594.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1.boot a rhel7 guest:
/usr/libexec/qemu-kvm -M pc-i440fx-rhel7.0.0 -monitor stdio -enable-kvm -m 3G -smp 4,sockets=2,cores=2,threads=1 -name RHEL-Server-7.0-64 -boot c -drive file=/home/guest/scalability-RHEL7.0-64.qcow2,if=none,id=drive-ide0-0-0,format=qcow2,cache=none,aio=threads -device ide-drive,bus=ide.0,unit=0,drive=drive-ide0-0-0,id=ide0-0-0,bootindex=1 -net none -spice disable-ticketing,port=5931 -vga qxl -netdev tap,id=hostnet0,vhost=on,script=/etc/qemu-ifup -device virtio-net-pci,netdev=hostnet0,mac=00:12:17:18:49:00,bus=pci.0,id=virtio-net-pci.0,multifunction=on,addr=0x03.0
2.change resolution to 1280*1024
3.reboot guest
4.login guest

Actual results:
guest black screen

cat /var/log/Xorg.0.log
[    89.245] (II) qxl(0): Allocate new frame buffer 1280x1024 stride
[    94.453] qxl_kms_surface_create: Bad bpp: 1 (1)
[    95.131] (EE) 
[    95.131] (EE) Backtrace:
[    95.146] (EE) 0: /usr/bin/Xorg (xorg_backtrace+0x3d) [0x46885d]
[    95.146] (EE) 1: /usr/bin/Xorg (0x400000+0x6e0b9) [0x46e0b9]
[    95.146] (EE) 2: /lib64/libpthread.so.0 (0x320be00000+0xefa0) [0x320be0efa0]
[    95.146] (EE) 3: /lib64/libpixman-1.so.0 (0x3214200000+0x90140) [0x3214290140]
[    95.146] (EE) 4: /lib64/libpixman-1.so.0 (0x3214200000+0x9037b) [0x321429037b]
[    95.146] (EE) 5: /lib64/libpixman-1.so.0 (pixman_image_composite32+0x481) [0x321420b841]
[    95.146] (EE) 6: /usr/lib64/xorg/modules/drivers/qxl_drv.so (0x7ff99d792000+0x8d15) [0x7ff99d79ad15]
[    95.146] (EE) 7: /usr/lib64/xorg/modules/drivers/qxl_drv.so (0x7ff99d792000+0x8e07) [0x7ff99d79ae07]
[    95.146] (EE) 8: /usr/lib64/xorg/modules/drivers/qxl_drv.so (0x7ff99d792000+0x1434f) [0x7ff99d7a634f]
[    95.146] (EE) 9: /usr/lib64/xorg/modules/drivers/qxl_drv.so (0x7ff99d792000+0x1e673) [0x7ff99d7b0673]
[    95.146] (EE) 10: /usr/lib64/xorg/modules/drivers/qxl_drv.so (0x7ff99d792000+0x1b27f) [0x7ff99d7ad27f]
[    95.146] (EE) 11: /usr/bin/Xorg (0x400000+0x11ff12) [0x51ff12]
[    95.146] (EE) 12: /usr/bin/Xorg (0x400000+0xd5287) [0x4d5287]
[    95.146] (EE) 13: /usr/bin/Xorg (0x400000+0xd6045) [0x4d6045]
[    95.146] (EE) 14: /usr/bin/Xorg (0x400000+0xd494f) [0x4d494f]
[    95.146] (EE) 15: /usr/bin/Xorg (0x400000+0x5eeb6) [0x45eeb6]
[    95.146] (EE) 16: /usr/bin/Xorg (MapWindow+0x105) [0x461c95]
[    95.146] (EE) 17: /usr/bin/Xorg (0x400000+0x31c08) [0x431c08]
[    95.146] (EE) 18: /usr/bin/Xorg (0x400000+0x36bd7) [0x436bd7]
[    95.146] (EE) 19: /usr/bin/Xorg (0x400000+0x261da) [0x4261da]
[    95.146] (EE) 20: /lib64/libc.so.6 (__libc_start_main+0xf5) [0x320ba21b75]
[    95.146] (EE) 21: /usr/bin/Xorg (0x400000+0x26521) [0x426521]
[    95.146] (EE) 
[    95.147] (EE) Segmentation fault at address 0x7ff9981b0000
[    95.147] 
Fatal server error:
[    95.147] Caught signal 11 (Segmentation fault). Server aborting
[    95.147] 
[    95.147] (EE) 

Expected results:
X server normal work and screen resolution is 1280*1024

Additional info:
login guest via ssh, guest works well. so only guest GUI black screen.
Comment 2 Dave Airlie 2013-11-03 22:08:12 EST
is this still reproducible? also can you attach a complete Xorg log file, snippets aren't useful for debugging.
Comment 3 Xu Han 2013-11-04 03:46:17 EST
Test this bug on latest rhel7 guest with 'xorg-x11-drv-qxl-0.1.1-0.13.20130703git8b03ec16.el7.x86_64', could not reproduced.
Comment 4 Søren Sandmann Pedersen 2014-01-10 14:58:24 EST
Doesn't reproduce for me either -- closing.

Note You need to log in before you can comment on or make changes to this bug.